%{?nodejs_find_provides_and_requires}

%global packagename topo
%global enable_tests 0

Name:		nodejs-topo
Version:	1.0.3
# Building version 1.0.3 instead of 1.1.0, because 1.1.0 requires nodejs >= 10.40
Release:	1%{?dist}
Summary:	Topological sorting with grouping support

License:	BSD
URL:		https://github.com/hapijs/topo
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(lab)
%endif

Requires:	nodejs

%description
Topological sorting with grouping support


%prep
%setup -q -n package
chmod -x *.json *.md LICENSE lib/* test/*



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
lab -a code -t 100 -L
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
